Skip to main content
Resource Center/Hardware/Host Operations
GETHost OperationsSince 4.6.21SynchronousAuth Required

QueryKvmHypervisorInfo

QueryKvmHypervisorInfo

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the query is successful or not.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The UUID of the host or the VM instance.

    • hypervisorStringRequired

      The hypervisor name, such as qemu-kvm.

    • versionStringRequired

      The version number, such as 4.2.0-632.g6a6222b.el7

    • matchStateStringRequired

      Whether the current version is consistent with the recommended version. The values may be Matched, Unmatched,or Unknown

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/hosts/kvm/hypervisor/info

/zstack/v1/hosts/kvm/hypervisor/info

Operation ID

QueryKvmHypervisorInfo

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/hosts/kvm/hypervisor/info' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "a3097e5ebe8a35929e1f2fe4304893f1", "hypervisor": "qemu-kvm", "version": "4.2.0-632.g6a6222b.el7", "matchState": "Matched", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history